#!/bin/bash
set -e

#upload='--noupload' # default
rundate=$(date '+%Y%m%d') # default today

SHORT=p:,c:,s:,h
LONG=component:,config:,rundate::,help
OPTS=$(getopt -a -n weather --options $SHORT --longoptions $LONG -- "$@")

eval set -- "$OPTS"

while :
do
  case "$1" in
    -p | --component )
      component="$2"
      shift 2
      ;;
    -c | --config )
      config="$2"
      shift 2
      ;;
    -s | --rundate )
      rundate="$2"
      shift 2
      ;;
    -h | --help)
      "This is a weather script"
      exit 2
      ;;
    --)
      shift;
      break
      ;;
    *)
      echo "Unexpected option: $1"
      ;;
  esac
done

printf "component: %s\nconfig: %s\nrundate: %s\nupload: %s\n" $component $config $rundate $upload

function run_coordinator() {
  docker exec -it \
    ews_runner \
    /storage/app/EWS_prod/code/coordinator/run_Processor.sh \
    -p $component \
    -c $config \
    -s $rundate \
    $upload
}

run_coordinator
